<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.system.deviceicon.mapper.DeviceTypeIconMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="deviceTypeIconResultMap" type="org.springblade.system.deviceicon.entity.DeviceTypeIcon">
        <id column="id" property="id"/>
        <result column="device_type_id" property="deviceTypeId"/>
        <result column="device_type_name" property="deviceTypeName"/>
        <result column="icon" property="icon"/>
        <result column="alarm_icon" property="alarmIcon"/>
    </resultMap>


    <select id="selectDeviceTypeIconPage" resultMap="deviceTypeIconResultMap">
        select * from yc_device_type_icon where is_deleted = 0
    </select>

</mapper>
